oceMagic {oce} | R Documentation

## Find the type of an oceanographic data file

### Description

Find the type of an oceanographic data file.

### Usage

    oceMagic(file, debug=getOption("oceDebug"))

### Arguments

`file` | a connection or a character string giving the name of the file to be checked.
`debug` | an integer, set non-zero to turn on debugging. Higher values indicate more debugging.

### Details

This function tries to infer the file type, based on either the data within the file or, more rarely, based on the file name.

### Value

A character string indicating the file type, or `"unknown"`, if the type cannot be determined. If the result contains `"/"` characters, these separate a list describing the file type, with the first element being the general type, the second element being the manufacturer, and the third element being the manufacturer's name for the instrument. For example, `"adp/nortek/aquadopp"` indicates a acoustic-doppler profiler made by NorTek, of the model type called AquaDopp.

### Author(s)

Dan Kelley

### See Also

This is used mainly by `read.oce`.

[Package oce version 0.9-18 Index]